Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class StructureStylesheetDescription

    java.lang.Object
      org.jasig.portal.CoreStylesheetDescription
          org.jasig.portal.CoreXSLTStylesheetDescription
              org.jasig.portal.StructureStylesheetDescription

    public class StructureStylesheetDescription

extends CoreXSLTStylesheetDescription

Stylesheet description for stylesheets performing structure transformation

Version:
  $Revision: 1.10 $
Author:
  Peter Kharchenko

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.CoreStylesheetDescription
`CoreStylesheetDescription.DescriptionDefaultValuePair`

Field Summary
`(package private) java.util.Hashtable` | `folderAttributeTable`

Fields inherited from class org.jasig.portal.CoreXSLTStylesheetDescription
`channelAttributeTable`

Fields inherited from class org.jasig.portal.CoreStylesheetDescription
`parameterTable, stylesheetDescriptionURI, stylesheetId, stylesheetName, stylesheetURI, stylesheetWordDescription`

Constructor Summary
`StructureStylesheetDescription()`

Method Summary
`void` | `addFolderAttribute(java.lang.String name, java.lang.String defaultValue, java.lang.String wordDescription)`
`boolean` | `containsFolderAttribute(java.lang.String attributeName)`
`java.lang.String` | `getFolderAttributeDefaultValue(java.lang.String attributeName)`
`java.util.Enumeration` | `getFolderAttributeNames()`
`java.lang.String` | `getFolderAttributeWordDescription(java.lang.String attributeName)`
`void` | `setFolderAttributeDefaultValue(java.lang.String attributeName, java.lang.String defaultValue)`
`void` | `setFolderAttributeWordDescription(java.lang.String attributeName, java.lang.String wordDescription)`

Methods inherited from class org.jasig.portal.CoreXSLTStylesheetDescription
`addChannelAttribute, containsChannelAttribute, getChannelAttributeDefaultValue, getChannelAttributeNames, getChannelAttributeWordDescription, setChannelAttributeDefaultValue, setChannelAttributeWordDescription`

Methods inherited from class org.jasig.portal.CoreStylesheetDescription
`addStylesheetParameter, containsParameterName, getId, getStylesheetDescriptionURI, getStylesheetName, getStylesheetParameterDefaultValue, getStylesheetParameterNames, getStylesheetParameterWordDescription, getStylesheetURI, getStylesheetWordDescription, setId, setStylesheetDescriptionURI, setStylesheetName, setStylesheetParameterDefaultValue, setStylesheetParameterWordDescription, setStylesheetURI, setStylesheetWordDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### folderAttributeTable

    java.util.Hashtable folderAttributeTable

Constructor Detail

### StructureStylesheetDescription

    public StructureStylesheetDescription()

Method Detail

### getFolderAttributeNames

    public java.util.Enumeration getFolderAttributeNames()

### getFolderAttributeWordDescription

    public java.lang.String getFolderAttributeWordDescription(java.lang.String attributeName)

### getFolderAttributeDefaultValue

    public java.lang.String getFolderAttributeDefaultValue(java.lang.String attributeName)

### setFolderAttributeWordDescription

    public void setFolderAttributeWordDescription(java.lang.String attributeName,
                                                  java.lang.String wordDescription)

### setFolderAttributeDefaultValue

    public void setFolderAttributeDefaultValue(java.lang.String attributeName,
                                               java.lang.String defaultValue)

### containsFolderAttribute

    public boolean containsFolderAttribute(java.lang.String attributeName)

### addFolderAttribute

    public void addFolderAttribute(java.lang.String name,
                                   java.lang.String defaultValue,
                                   java.lang.String wordDescription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD